xCJK2uni
========

The `xCJK2uni` package provides commands to convert CJK character to Unicode in
non-UTF-8 encoding. It provides hooks for `hyperref` to get the correct bookmarks.
It also provides some `/ToUnicode` mapping file for CJK subfont. They can be used
with `cmap` package and make CJK character searchable and copyable in PDF files
generated by pdfLaTeX.

Basic Usage
-----------

The package provides the following macros:

    \useCJKencmap{<encoding>}

Set the current encoding. The default encoding is GBK.

    \CJKchartouni{<character>}

Convert a single CJK character to its Unicode.

    \CJKsfdtouni{<plane>}{<slot>}

Convert the .sfd coordinate to its Unicode.

You can read the package manual (in Chinese) for more detailed explanations.

Contributing
------------

This package is a part of the [ctex-kit](https://github.com/CTeX-org/ctex-kit) project.

Issues and pull requests are welcome.

Copyright and Licence
---------------------

    Copyright (C) 2013-2014, 2016, 2018-2020 by Qing Lee <sobenlee@gmail.com>
    ----------------------------------------------------------------------

    This work may be distributed and/or modified under the
    conditions of the LaTeX Project Public License, either
    version 1.3c of this license or (at your option) any later
    version. This version of this license is in
       http://www.latex-project.org/lppl/lppl-1-3c.txt
    and the latest version of this license is in
       http://www.latex-project.org/lppl.txt
    and version 1.3 or later is part of all distributions of
    LaTeX version 2005/12/01 or later.

    This work has the LPPL maintenance status "maintained".

    The Current Maintainer of this work is Qing Lee.

    This package consists of the file  xCJK2uni.dtx,
                 and the derived files xCJK2uni.pdf,
                                       xCJK2uni.sty,
                                       xCJK2uni.ins,
                                       xCJK2uni-make.tex,
                                       xCJK2uni-sfd.def,
                                       xCJK2uni-UBg5plus.def,
                                       xCJK2uni-UBig5.def,
                                       xCJK2uni-UGB.def,
                                       xCJK2uni-UGBK.def,
                                       xCJK2uni-UJIS.def,
                                       xCJK2uni-UKS.def,
                                       c****.cmap, and
                                       README.md (this file).
